org.apache.pdfbox.pdmodel.graphics.image

## Class LosslessFactory

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.image.LosslessFactory

    public final class LosslessFactory
    extends Object

Factory for creating a PDImageXObject containing a lossless compressed image.

Author:
  Tilman Hausherr

### Method Summary

All Methods Static Methods Concrete Methods
`static PDImageXObject` `createFromImage(PDDocument document, BufferedImage image)` Creates a new lossless encoded image XObject from a BufferedImage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createFromImage

    public static PDImageXObject createFromImage(PDDocument document,
                                                 BufferedImage image)
                                          throws IOException

Creates a new lossless encoded image XObject from a BufferedImage.

New for advanced users from 2.0.12 on:
If you created your image with a non standard ICC colorspace, it will be preserved. (If you load images in java using ImageIO then no need to read this segment) However a new colorspace will be created for each image. So if you create a PDF with several such images, consider replacing the colorspace with a common object to save space. This is done with `PDImageXObject.getColorSpace()` and `PDImageXObject.setColorSpace()`

Parameters:
  `document` - the document where the image will be created
  `image` - the BufferedImage to embed
Returns:
  a new image XObject
Throws:
  `IOException` - if something goes wrong